#define _requires_exceptions libR.so\\|libRblas.so\\|libRlapack.so
%define _requires_exceptions libRlapack.so

Summary:	A KDE gui to R language
Name:		rkward
Version:	0.6.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://rkward.sourceforge.net
Source0:	http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	kdelibs-devel
BuildRequires:	gcc-gfortran
BuildRequires:	gettext
BuildRequires:	R-base
Requires:	R-base
Requires:	php-cli
Requires:	kate-part
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
RKWard is meant to become an easy to use, transparent frontend to the 
R-language, a very powerful, yet hard-to-get-into scripting-language with 
a strong focus on statistic functions. It will not only provide a convenient 
user-interface, however, but also take care of seamless integration with an 
office-suite. Practical statistics is not just about calculating, after all, 
but also about documenting and ultimately publishing the results.


%prep
%setup -q

%build
%cmake_kde4
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

rm -rf %{buildroot}%{_libdir}/R/lib/R.css


#Menu Files
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_mandir}/man1/%{name}.1.bz2
%{_libdir}/kde4/libexec/%{name}.*
%{_kde_bindir}/%{name}*
%{_kde_datadir}/applications/kde4/%{name}.desktop
%{_kde_appsdir}/%{name}
%{_kde_appsdir}/katepart/*
%{_kde_docdir}/*/*/*
%{_kde_iconsdir}/*
%{_libdir}/R/*


%changelog
* Sun Oct 08 2016 adrianomorselli <adrianomorselli> 0.6.2-2uplos2016
- rebuild

* Tue Mar 15 2016 bb <bb. 0.6.2-2pclos2016
- fix rpm group

* Sun Nov 02 2014 pinoc <vogtpet at gmail.com> 0.6.2-1pclos2014
- 0.6.2

* Sun Dec 01 2013 pinoc <vogtpet at gmail.com> 0.6.1-2pclos2013
- rebuild against fixed R-base

* Fri Nov 29 2013 pinoc <vogtpet at gmail.com> 0.6.1-1pclos2013
- 0.6.1

* Sun Jun 24 2012 Neal <nealbrks0 at gmail dot com> 0.5.4-3pclos2012
- process

* Thu Jun 21 2012 gseaman <galen.seaman@comcast.net> 0.5.4-3pclos2012
- build for 64-bit

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Wed Jan 05 2011 pcserver <pcserver at hush.com> 0.5.4-1pclos02011
- import into pclos
